<?


/**********************************************************************
*  PHP Perfect Form Items v1.0				by Jose Carlos Garca Neila
* ----------------------------------------------------------------------
*  Construye formularios mediante cdigo PHP para separar de forma clara
*  la lgica de programacin con la lgica de diseo
*    Para ms informacin se acompaana documentacin en PDF 
*	
*  Modifique el cdigo a su gusto si lo desea y distribuyalo sin problema
*  ninguno, aunque si le pedira que incluya intacto este encabezado.
* 
*  http://www.distintiva.com/jose/_perf_form
************************************************************************/


//- Funciones auxiliares--------------------------------------------------------
function walk_tolower(&$val){
	$val=strtolower($val);
}
function array_lower($a_arr){
	array_walk($a_arr, 'walk_tolower');
	return $a_arr;
}


//- Funciones de abstraccin de formularios -------------------------------------

//=CREA UN SELECT= en base a un array de textos y valores de misma dimension
// $default puede ser 1texto ( o un array) de valor/es que estarn seleccionado/s
// $extra_tag se aadir al select:  ej: "class='frm' onclick=alert('')"
function frm_select($name, $arr_txt, $arr_vals, $default='', $extra_tag=''){
	$tmp="<select name='$name' $extra_tag>";
	$items=count($arr_txt);
	if($items!=count($arr_vals)) return $tmp."<option>ERR! en el array de valores</select>";
	for($i=0;$i<$items;$i++){
		$sel=' selected';
		$val=$arr_vals[$i];
		if(is_array($default)){
			if(!in_array( strtolower($val), array_lower($default) )) $sel='';
		}else{
			if(!eregi($val,$default)) $sel='';
		}
		$tmp.="<option value='$val'$sel>".$arr_txt[$i]."</option>";
	}
	return $tmp.'</select>';
}

//=CREA UNA LISTA=  de tamao visible = $size,  lo dems es igual que frm_select
function frm_list($name,$size,  $arr_txt, $arr_vals, $default='', $extra_tag=''){
	return frm_select($name, $arr_txt, $arr_vals, $default, "size=$size $extra_tag");
}

//=CREA UNA LISTA DE SELECCION MULTIPLE=, como valores seleccionados se puede pasar un array
function frm_list_multi($name, $size, $arr_txt, $arr_vals, $default='', $extra_tag=''){
	return frm_list($name."[]", $size, $arr_txt, $arr_vals, $default, "multiple $extra_tag");
}

//=CREA UN CHECKBOX=, Si se le pasa una variable por $var_in y coincide con $ck_val, se selecciona
function frm_check($name, $ck_val, $var_in='', $extra_tag=''){
	$ck='';
	if(strtolower($ck_val)==strtolower($var_in)) $ck=' checked';
	return "<input type=checkbox name='$name' value='$ck_val'$extra_tag$ck>";
}

//=CREA UN RADIO=, Si se le pasa una variable por $var_in y coincide con $ck_val, se selecciona
function frm_radio($name, $val, $var_in='', $extra_tag=''){
	$ck='';
	if(strtolower($val)==strtolower($var_in)) $ck=' checked';
	return "<input type=radio name='$name' value='$val'$extra_tag$ck>";
}

//=CREA UN TEXTBOX=
function frm_text($name, $val, $size, $max_length, $extra_tag=''){
	return "<input type=text name='$name' size='$size' maxlength='$max_length' value='$val'$extra_tag>";
}

//=CREA UN PASSWORD=
function frm_password($name, $val, $size, $max_length, $extra_tag=''){
	return "<input type=password name='$name' size='$size' maxlength='$max_length' value='$val'$extra_tag>";
}


?>